org.mariadb.jdbc.internal.com.send

## Class SendChangeDbPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.SendChangeDbPacket

All Implemented Interfaces:
  InterfaceSendPacket

    public class SendChangeDbPacket
    extends Object
    implements InterfaceSendPacket

### Constructor Summary

Constructors
Constructor and Description
`SendChangeDbPacket(String database)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `send(PacketOutputStream pos)` Change Database.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendChangeDbPacket

    public SendChangeDbPacket(String database)

### Method Detail

#### send

    public void send(PacketOutputStream pos)
              throws IOException

Change Database.

Specified by:
  `send` in interface `InterfaceSendPacket`
Parameters:
  `pos` - Write outputStream
Throws:
  `IOException` - if connection problem occur